#ifndef M_FS_H

#define M_FS_H

#include "m_core_def.h"
#include "m_string.h"

/** @defgroup fs core::fs */

typedef struct m_fs {
    /* private */
    struct _root *_root;
    struct _mapping_rule *_map;
    struct _access_rule *_acl;
} m_fs;

/**
 * @ingroup fs
 * @struct m_fs
 *
 */

#define VIEW_RDONLY 0x01
#define VIEW_WRONLY 0x02
#define VIEW_RDWR   0x04

/* -------------------------------------------------------------------------- */

#endif
