/* gcc -g -W -Wall -std=c99 -posix -pedantic -O2 ../m_random.c rand.c -o rand */

#include "../m_random.h"

/* This main() outputs 2000 generated integers and reals.  */
int main(void)
{
    int i;
    unsigned long init[4]={0x123, 0x234, 0x345, 0x456}, length=4;

    random_arrayinit(init, length);

    /* This is an example of initializing by an array.       */
    /* You may use random_init(seed) with any 32bit integer */
    /* as a seed for a simpler initialization                */
    printf("1000 outputs of random_int32()\n");
    for (i = 0; i < 1000; i ++) {
      printf("%10lu ", random_int32());
      if (i % 5 == 4) printf("\n");
    }

    printf("\n1000 outputs of random_real2()\n");
    for (i = 0; i < 1000; i ++) {
      printf("%10.8f ", random_real2());
      if (i % 5 == 4) printf("\n");
    }

    return 0;
}
