#include "../m_core_def.h"

/* winegcc -g -mno-cygwin -I../ports/libpthread-win32/include -Wall -std=c99 -posix -pedantic -O2 -lmswsock ../ports/m_ports.c shm.c -o shm */

int main(void)
{
    char *map = NULL;

    map = shm_attach("/sharedmem", get_page_size());

    if (! map) {
        printf("** shm_alloc failed ! **\n");
        exit(EXIT_FAILURE);
    }

    printf("shared memory content: %s\n", map);

    memcpy(map, "goodbye cruel world !", strlen("goodbye cruel world !") + 1);

    printf("shared memory content: %s\n", map);

    shm_detach(map, get_page_size());

    exit(EXIT_SUCCESS);
}
